NX Open C++ Reference Guide
|
Used to create a Features::ShipDesign::CuttingSideFacesBuilder which is used to attribute the cutting side, and opposing cutting side, faces on the plate bodies. More...
Public Types | |
enum | Types { TypesAutomatic, TypesManual, TypesReverse } |
Type of operation to perform on the plate. More... | |
Public Member Functions | |
NXOpen::ScCollector * | CuttingSideFaces () |
Returns the faces to identify, or attribute, as cutting side. | |
double | DistanceTolerance () |
Returns the modeling distance tolerance. | |
bool | ProcessCoplanar () |
Returns the option identifying if a coplanar rule should be applied to find cutting side faces. | |
bool | ProcessTangent () |
Returns the option identifying if a tangent rule should be applied to find adjacent cutting side faces. | |
bool | ReverseSide () |
Returns the value to decide if the normal face assignment should be done to the opposite side. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the modeling distance tolerance. | |
void | SetProcessCoplanar (bool processCoplanar) |
Sets the option identifying if a coplanar rule should be applied to find cutting side faces. | |
void | SetProcessTangent (bool processTangent) |
Sets the option identifying if a tangent rule should be applied to find adjacent cutting side faces. | |
void | SetReverseSide (bool reverseSide) |
Sets the value to decide if the normal face assignment should be done to the opposite side. | |
void | SetType (NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::Types type) |
Sets the value for how to process the bodies and faces. | |
NXOpen::Expression * | TangentFaceThreshold () |
Returns the value (in degrees) to determine if adjacent surfaces are tangent. | |
NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::Types | Type () |
Returns the value for how to process the bodies and faces. | |
NXOpen::Expression * | WeldGapThreshold () |
Returns the maximum distance the profile, or another plate, can be from the selected plate face. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Used to create a Features::ShipDesign::CuttingSideFacesBuilder which is used to attribute the cutting side, and opposing cutting side, faces on the plate bodies.
<br> To create a new instance of this class, use @link Features::ShipCollection::CreateCuttingSideFacesBuilder Features::ShipCollection::CreateCuttingSideFacesBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ProcessCoplanar |
1 |
ProcessTangent |
1 |
ReverseSide |
0 |
TangentFaceThreshold.Value |
15 |
WeldGapThreshold.Value |
0 (millimeters part), 0 (inches part) |
Created in NX8.0.0.
Type of operation to perform on the plate.
Automatic works through all the visible bodies and assigns the attributes. Manual allows the user to interactively select faces and assign data accordingly. Reverse only allows faces with existing attributes to be selected and then reverse the applied attributes on the existing selected faces.
NXOpen::ScCollector* NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::CuttingSideFaces | ( | ) |
Returns the faces to identify, or attribute, as cutting side.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::DistanceTolerance | ( | ) |
Returns the modeling distance tolerance.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::ProcessCoplanar | ( | ) |
Returns the option identifying if a coplanar rule should be applied to find cutting side faces.
No limitiations are placed on adjacency of the faces (they can be far away from each other).
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::ProcessTangent | ( | ) |
Returns the option identifying if a tangent rule should be applied to find adjacent cutting side faces.
Faces must be adjacent and within the modeling distance tolerance.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::ReverseSide | ( | ) |
Returns the value to decide if the normal face assignment should be done to the opposite side.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the modeling distance tolerance.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::SetProcessCoplanar | ( | bool | processCoplanar | ) |
Sets the option identifying if a coplanar rule should be applied to find cutting side faces.
No limitiations are placed on adjacency of the faces (they can be far away from each other).
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
processCoplanar | processcoplanar |
void NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::SetProcessTangent | ( | bool | processTangent | ) |
Sets the option identifying if a tangent rule should be applied to find adjacent cutting side faces.
Faces must be adjacent and within the modeling distance tolerance.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
processTangent | processtangent |
void NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::SetReverseSide | ( | bool | reverseSide | ) |
Sets the value to decide if the normal face assignment should be done to the opposite side.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
reverseSide | reverseside |
void NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::SetType | ( | NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::Types | type | ) |
Sets the value for how to process the bodies and faces.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
type | type |
NXOpen::Expression* NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::TangentFaceThreshold | ( | ) |
Returns the value (in degrees) to determine if adjacent surfaces are tangent.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::Types NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::Type | ( | ) |
Returns the value for how to process the bodies and faces.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::CuttingSideFacesBuilder::WeldGapThreshold | ( | ) |
Returns the maximum distance the profile, or another plate, can be from the selected plate face.
Created in NX8.0.0.
License requirements : None